Bug 218279 - "Help | Report Issue..." keeps asking for login
"Help | Report Issue..." keeps asking for login
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Issuetracking Framework
7.2
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Tomas Stupka
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 11:14 UTC by Stepan Zebra
Modified: 2012-09-20 02:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (40.62 KB, text/plain)
2012-09-13 11:14 UTC, Stepan Zebra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2012-09-13 11:14:45 UTC
Product Version = NetBeans IDE 7.2 (Build 201207171143)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_07
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.3-b01

1) Start with fresh userdir
2) Invoke "Help | Report Issue..."
3) Login dialog shows up, log in as a valid user
4) "NetBeans" is now visible under "Issue Trackers", "New Issue" tab opens
5) Close the "New Issue" tab
6) Invoke "Help | Report Issue..." again

Login dialog shows up again with both username and password fields empty.
It doesn't happen to me in 7.1.2, it does happen in yesterday's Dev build.
Comment 1 Stepan Zebra 2012-09-13 11:14:52 UTC
Created attachment 124294 [details]
IDE log
Comment 2 Stepan Zebra 2012-09-13 11:24:37 UTC
After pushing "Submit Issue" button when creating this issue, a dialog with issue tracker details showed up and required to enter the credentials again. After entering them there "Help | Report Issue... doesn't ask for login again.

It does actually happen in 7.1.2 as well. I probably had previously saved login there before...
Comment 3 Tomas Stupka 2012-09-18 12:49:54 UTC
fixed in core-main #170462501c4d
Comment 4 Tomas Stupka 2012-09-18 14:28:23 UTC
and one more attempt #0ac75186b26d
Comment 5 Quality Engineering 2012-09-19 03:04:56 UTC
Integrated into 'main-golden', will be available in build *201209190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/170462501c4d
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #218279 - "Help | Report Issue..." keeps asking for login
Comment 6 Quality Engineering 2012-09-20 02:26:26 UTC
Integrated into 'main-golden', will be available in build *201209200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0ac75186b26d
User: Tomas Stupka <tstupka@netbeans.org>
Log: one more attempt to fix issue #218279 - "Help | Report Issue..." keeps asking for login


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo